Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface MQControl

    public interface MQControl

MQ Control base interface

Nested Class Summary
`static interface` | `MQControl.Connection`
`static interface` | `MQControl.ConnectionPool`
`static class` | `MQControl.ConnectionType`
`static interface` | `MQControl.SSLSettings` Capture the properties if the user has chosen TCP as the connection type
`static interface` | `MQControl.TCPSettings` Capture the properties if the user has chosen TCP as the connection type

Method Summary
`void` | `begin()` Begins a MQ transaction
`void` | `commit()` Commits a MQ transaction
`byte[]` | `getMessageAsBytes(String queue, com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)` Gets a byte array(binary) message from the queue This function calls the generic getMessage function
`String` | `getMessageAsString(String queue, com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)` Gets a String(text) message from the queue This function calls the generic getMessage function
`org.apache.xmlbeans.XmlObject` | `getMessageAsXml(String queue, com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)` Gets a XmlObject(xml) message from the queue This function calls the generic getMessage function
`com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument` | `getMQMDHeaders()` Returns the MQMDHeadersDocument obtained after calling any of the getMessage or putMessage functions.
`com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument` | `putMessageAsBytes(byte[] message, String queue, com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)` Puts a byte array(binary) message into the queue This function calls the generic putMessage function
`com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument` | `putMessageAsString(String message, String queue, com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)` Puts a String(text) message into the queue This function calls the generic putMessage function
`com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument` | `putMessageAsXml(org.apache.xmlbeans.XmlObject message, String queue, com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)` Puts a XmlObject(xml) message into the queue This function calls the generic putMessage function
`void` | `rollback()` Rolls back a MQ transaction
`void` | `setClientSideSSL(String keyStoreLocation, String keyStoreType, String keyStorePassword, String keyPassword)` Sets the client side SSL properties for two way ssl
`void` | `setDynamicProperties(com.bea.wli.control.mqDynamicProperties.MQDynamicPropertiesDocument mqDynPropsDoc)` Sets the dynamic properties for the control.
`void` | `setRemoteQueueManager(String remoteQueueManager)` Returns the MQMDHeadersDocument obtained after calling any of the getMessage or putMessage functions.
`void` | `setServerSideSSL(String trustStoreLocation, String trustStoreType, String trustStorePassword)` Sets the server side SSL property for one way ssl
`void` | `setSSLCipherSuite(String cipherSuite)` Sets the cipher suite to be used for SSL

Method Detail

### begin

    void begin()
               throws javax.resource.ResourceException

  Begins a MQ transaction

  Throws:
    `ResourceException` - if transaction state is invalid

### rollback

    void rollback()
                  throws javax.resource.ResourceException

  Rolls back a MQ transaction

  Throws:
    `ResourceException` - if transaction state is invalid

### commit

    void commit()
                throws javax.resource.ResourceException

  Commits a MQ transaction

  Throws:
    `ResourceException` - if transaction state is invalid

### getMessageAsBytes

    byte[] getMessageAsBytes(String queue,
                             com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)
                             throws javax.resource.ResourceException

  Gets a byte array(binary) message from the queue This function calls the generic getMessage function

  Parameters:
    `queue` - the queue from which the message is to be got
    `mqmd` - the MQMDHeaders document containing the MQMD attributes based on which the message is to be got
  Returns:
    byte[] the byte array representing the message got
  Throws:
    `ResourceException` - if any exception occurs while get

### getMessageAsString

    String getMessageAsString(String queue,
                              com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)
                              throws javax.resource.ResourceException

  Gets a String(text) message from the queue This function calls the generic getMessage function

  Parameters:
    `queue` - the queue from which the message is to be got
    `mqmd` - the MQMDHeaders document containing the MQMD attributes based on which the message is to be got
  Returns:
    String the String representing the message got
  Throws:
    `ResourceException` - if any exception occurs while get

### getMessageAsXml

    org.apache.xmlbeans.XmlObject getMessageAsXml(String queue,
                                                  com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)
                                                  throws javax.resource.ResourceException

  Gets a XmlObject(xml) message from the queue This function calls the generic getMessage function

  Parameters:
    `queue` - the queue from which the message is to be got
    `mqmd` - the MQMDHeaders document containing the MQMD attributes based on which the message is to be got
  Returns:
    XmlObject the XmlObject representing the message got
  Throws:
    `ResourceException` - if any exception occurs while get

### putMessageAsXml

    com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument putMessageAsXml(org.apache.xmlbeans.XmlObject message,
                                                                        String queue,
                                                                        com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)
                                                                        throws javax.resource.ResourceException

  Puts a XmlObject(xml) message into the queue This function calls the generic putMessage function

  Parameters:
    `message` - the xml message to be put into the queue
    `queue` - the queue to which the message is to be put
    `mqmd` - the MQMDHeaders document containing the MQMD attributes of the message to be put
  Returns:
    MQMDHeadersDocument representing the attributes of the message put
  Throws:
    `ResourceException` - if any exception occurs while put

### putMessageAsString

    com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument putMessageAsString(String message,
                                                                           String queue,
                                                                           com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)
                                                                           throws javax.resource.ResourceException

  Puts a String(text) message into the queue This function calls the generic putMessage function

  Parameters:
    `message` - the String message to be put into the queue
    `queue` - the queue to which the message is to be put
    `mqmd` - the MQMDHeaders document containing the MQMD attributes of the message to be put
  Returns:
    MQMDHeadersDocument representing the attributes of the message put
  Throws:
    `ResourceException` - if any exception occurs while put

### putMessageAsBytes

    com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument putMessageAsBytes(byte[] message,
                                                                          String queue,
                                                                          com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument mqmd)
                                                                          throws javax.resource.ResourceException

  Puts a byte array(binary) message into the queue This function calls the generic putMessage function

  Parameters:
    `message` - the byte array message to be put into the queue
    `queue` - the queue to which the message is to be put
    `mqmd` - the MQMDHeaders document containing the MQMD attributes of the message to be put
  Returns:
    MQMDHeadersDocument representing the attributes of the message put
  Throws:
    `ResourceException` - if any exception occurs while put

### setServerSideSSL

    void setServerSideSSL(String trustStoreLocation,
                          String trustStoreType,
                          String trustStorePassword)
                          throws ControlException

  Sets the server side SSL property for one way ssl

  Parameters:
    `trustStoreLocation` - String representing the trustStoreLocation
    `trustStoreType` - String representing the truststoreType
    `trustStorePassword` - String representing the truststorePassword
  Throws:
    `ControlException`

### setClientSideSSL

    void setClientSideSSL(String keyStoreLocation,
                          String keyStoreType,
                          String keyStorePassword,
                          String keyPassword)

  Sets the client side SSL properties for two way ssl

  Parameters:
    `keyStoreLocation` - String representing keyStoreLocation
    `keyStoreType` - String representing keyStoreType
    `keyStorePassword` - String representing keyStorePassword
    `keyPassword` - String representing keyPassword

### setDynamicProperties

    void setDynamicProperties(com.bea.wli.control.mqDynamicProperties.MQDynamicPropertiesDocument mqDynPropsDoc)
                              throws ControlException

  Sets the dynamic properties for the control.

  Parameters:
    `mqDynPropsDoc` - the MQDynamicProperties document containing the dynamic properties to be set
  Throws:
    `ControlException`

### setSSLCipherSuite

    void setSSLCipherSuite(String cipherSuite)

  Sets the cipher suite to be used for SSL

  Parameters:
    `cipherSuite` - String representing the cipher suite

### setRemoteQueueManager

    void setRemoteQueueManager(String remoteQueueManager)

  Returns the MQMDHeadersDocument obtained after calling any of the getMessage or putMessage functions.

### getMQMDHeaders

    com.bea.wli.control.mqmdHeaders.MQMDHeadersDocument getMQMDHeaders()

  Returns the MQMDHeadersDocument obtained after calling any of the getMessage or putMessage functions.

  Returns:
    MQMDHeadersDocument

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD